thin_heap_.hpp File Reference

Go to the source code of this file.

## Classes

class | __gnu_pbds::detail::thin_heap< Value_Type, Cmp_Fn, _Alloc >

## Namespaces

namespace | __gnu_pbds

## Macros

#define | PB_DS_ASSERT_AUX_NULL(X)
#define | PB_DS_ASSERT_NODE_CONSISTENT(_Node, _Bool)
#define | PB_DS_BASE_T_P
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_T_DEC

## Enumerations

enum | { num_distinct_rank_bounds }

## Variables

static const std::size_t | __gnu_pbds::detail::g_a_rank_bounds [num_distinct_rank_bounds]

## Detailed Description

Contains an implementation class for a thin heap.

Definition in file thin_heap_.hpp.